#include <bits/stdc++.h>

auto main() -> int {
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(NULL);

	std::string text;
	std::string zabrana;

	std::cin >> text;
	std::cin >> zabrana;

	std::unordered_map<char, size_t> broj;

	for (const auto c : text) {
		broj[c] = 0;
	}

	for (const auto c : text) {
		++broj[c];
	}

	const auto slovo_za_cenzuru = std::min_element(begin(broj), end(broj), [](const std::pair<char, size_t>& a, const std::pair<char, size_t>& b) {
		return a.second < b.second;
	});

	std::cout << slovo_za_cenzuru->second << '\n';

	for (const auto c : text) {
		std::cout << (c == slovo_za_cenzuru->first ? '*' : c);
	}
	std::cout << '\n';
}